Package org.drinkless.tdlib

# Class TdApi.ChatPhoto

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatPhoto

Enclosing class:
  `TdApi`

public static class TdApi.ChatPhoto extends TdApi.Object
Describes a chat or user profile photo.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `addedDate`
  Point in time (Unix timestamp) when the photo has been added.
  `TdApi.AnimatedChatPhoto`
  `animation`
  A big (up to 1280x1280) animated variant of the photo in MPEG4 format; may be null.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `id`
  Unique photo identifier.
  `TdApi.Minithumbnail`
  `minithumbnail`
  Photo minithumbnail; may be null.
  `TdApi.PhotoSize[]`
  `sizes`
  Available variants of the photo in JPEG format, in different size.
  `TdApi.AnimatedChatPhoto`
  `smallAnimation`
  A small (160x160) animated variant of the photo in MPEG4 format; may be null even if the big animation is available.
  `TdApi.ChatPhotoSticker`
  `sticker`
  Sticker-based version of the chat photo; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatPhoto()`
  Describes a chat or user profile photo.
  `ChatPhoto(long id, int addedDate, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes, TdApi.AnimatedChatPhoto animation, TdApi.AnimatedChatPhoto smallAnimation, TdApi.ChatPhotoSticker sticker)`
  Describes a chat or user profile photo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique photo identifier.

  - ### addedDate

    public int addedDate
    Point in time (Unix timestamp) when the photo has been added.

  - ### minithumbnail

    @Nullable public TdApi.Minithumbnail minithumbnail
    Photo minithumbnail; may be null.

  - ### sizes

    public TdApi.PhotoSize[] sizes
    Available variants of the photo in JPEG format, in different size.

  - ### animation

    @Nullable public TdApi.AnimatedChatPhoto animation
    A big (up to 1280x1280) animated variant of the photo in MPEG4 format; may be null.

  - ### smallAnimation

    @Nullable public TdApi.AnimatedChatPhoto smallAnimation
    A small (160x160) animated variant of the photo in MPEG4 format; may be null even if the big animation is available.

  - ### sticker

    @Nullable public TdApi.ChatPhotoSticker sticker
    Sticker-based version of the chat photo; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatPhoto

    public ChatPhoto()
    Describes a chat or user profile photo.

  - ### ChatPhoto

    public ChatPhoto(long id, int addedDate, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes, TdApi.AnimatedChatPhoto animation, TdApi.AnimatedChatPhoto smallAnimation, TdApi.ChatPhotoSticker sticker)
    Describes a chat or user profile photo.
    Parameters:
      `id` - Unique photo identifier.
      `addedDate` - Point in time (Unix timestamp) when the photo has been added.
      `minithumbnail` - Photo minithumbnail; may be null.
      `sizes` - Available variants of the photo in JPEG format, in different size.
      `animation` - A big (up to 1280x1280) animated variant of the photo in MPEG4 format; may be null.
      `smallAnimation` - A small (160x160) animated variant of the photo in MPEG4 format; may be null even if the big animation is available.
      `sticker` - Sticker-based version of the chat photo; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR